<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('jugadores', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('clubes', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('equipos', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('eventos', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('torneos', function (Blueprint $table) {
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('jugadores', function (Blueprint $table) {
            $table->dropSoftDeletes();
        });
        Schema::table('clubes', function (Blueprint $table) {
            $table->dropSoftDeletes();
        });
        Schema::table('equipos', function (Blueprint $table) {
            $table->dropSoftDeletes();
        });
        Schema::table('eventos', function (Blueprint $table) {
            $table->dropSoftDeletes();
        });
        Schema::table('torneos', function (Blueprint $table) {
            $table->dropSoftDeletes();
        });
    }
};
